PCI_SCAN_SLOT(9)

NAME
pci_scan_slot - scan a PCI slot on a bus for devices.

SYNOPSIS

int pci_scan_slot(struct pci_bus * bus, int devfn);

ARGUMENTS

bus
    PCI bus to scan

devfn
    slot number to scan (must have zero function.)

DESCRIPTION

Scan a PCI slot on the specified PCI bus for devices, adding discovered devices to the bus->devices list. New devices will not have is_added set.

Returns the number of new devices found.

COPYRIGHT